Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model
Class Settings

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.Settings

All Implemented Interfaces:
  Serializable

    @Entity
    public class Settings

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`Settings()`
`Settings(String userId)`

Method Summary
`void` | `addEntry(SettingsEntry entry)`
`Map<String,Object>` | `getDataMap()`
`List<SettingsEntry>` | `getEntries()`
`SettingsEntry` | `getEntry(String key)`
`Long` | `getId()`
`String` | `getUserId()`
`void` | `setDataMap(Map<String,Object> settingsDto)`
`void` | `setEntries(List<SettingsEntry> entries)`
`void` | `setId(Long id)`
`void` | `setUserId(String userId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Settings

    public Settings()

### Settings

    public Settings(String userId)

Method Detail

### getId

    public Long getId()

### setId

    public void setId(Long id)

### getEntries

    public List<SettingsEntry> getEntries()

### getEntry

    public SettingsEntry getEntry(String key)

### setEntries

    public void setEntries(List<SettingsEntry> entries)

### addEntry

    public void addEntry(SettingsEntry entry)

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDataMap

    public Map<String,Object> getDataMap()

### setDataMap

    public void setDataMap(Map<String,Object> settingsDto)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.